<style>
 @font-face {
  font-family: 'digital-7';
  src: url('style/digital-7.ttf');
 }

 font {
  margin: auto;
  font-family: 'digital-7', sans-serif;
  font-size: 16vmin;
  display: inline;
 }

 .dijital {
  font-family: 'digital-7', sans-serif;
 }

 @media (display-mode: moz-full-screen) {
  #tamekran {
   justify-content: center;
   min-height: 100vh !important;
   display: flex;
   align-items: center;
  }
 }

 @media (display-mode: ms-fullscreen) {
  #tamekran {
   justify-content: center;
   min-height: 100vh !important;
   display: flex;
   align-items: center;
  }
 }

 @media (display-mode: webkit-full-screen) {
  #tamekran {
   justify-content: center;
   min-height: 100vh !important;
   display: flex;
   align-items: center;
  }
 }

 @media (display-mode: fullscreen) {
  #tamekran {
   justify-content: center;
   min-height: 100vh !important;
   display: flex;
   align-items: center;
  }
 }
</style>
<div class="container">
 <div class="card">
  <div class="text-end">
   <a href="javascript:void()" class="nav-link" onclick="tamEkranYap()">
    <i class="fa fa-expand"></i>
   </a>
  </div>
  <div class="card-body">
   <div class="row justify-content-center">
    <div class="col-md-10">
     <div class="text-center">
      <h1>KRONOMETRE</h1>
      <span id="tamekran">
       <div class="text-center">
        <div class="animate__animated animate__pulse">
         <font id="saat">00</font>
         <font>:</font>
         <font id="dakika">00</font>
         <font>:</font>
         <font id="saniye">00</font>
         <font style="font-size:8vmin;">,</font>
         <font id="salise" style="font-size:8vmin;">00</font>
        </div>
        <table align="center">
         <tr>
          <td align="center">
           <button type="button" class="btn btn-lg btn-outline-success dijital" id="startKronometre" onclick="startKronometre()">
            <i class="fa fa-stopwatch"></i> BASLAT </button>
          </td>
          <td align="center">
           <button type="button" class="btn btn-lg btn-outline-secondary dijital d-none" id="turKronometre" onclick=" turKronometre()">
            <i class="fa fa-eraser"></i> SIFIRLA </button>
          </td>
         </tr>
        </table>
        <ul class="list-group mt-3" id="tur"></ul>
       </div>
      </span>
      <div class="d-none d-md-block m-4"> Klavye Kısayolları </br>
       <span class="text-muted">
        <kbd>Boşluk</kbd> Başlat/Duraklat | <kbd>Ctrl</kbd> Tur | <kbd>Esc</kbd> Sıfırla | <kbd>Enter</kbd> Tam Ekran </span>
      </div>
	  <!--
      <div class="row">
       <div class="col-md-4"></div>
       <div class="col-md-4">
        <select id="CalmaListesi" class="form-select form-select-sm mb-1">
         <option value="" selected>Ses Yok</option>
         <option value="ekler/ses/yagmur.mp3">Yağmur</option>
         <option value="ekler/ses/orman.mp3">Orman</option>
         <option value="ekler/ses/okyanus.mp3">Okyanus</option>
         <option value="ekler/ses/kar.mp3">Karlı Hava</option>
         <option value="ekler/ses/selale.mp3">Şelale</option>
         <option value="ekler/ses/kutuphane.mp3">Kütüphane</option>
         <option value="ekler/ses/kalabalik.mp3">Kalabalık</option>
         <option value="ekler/ses/somine.mp3">Şömine</option>
         <option value="ekler/ses/ruzgarcani.mp3">Rüzgar Çanları</option>
        </select>
       </div>
       <div class="col-md-4"></div>
      
	  </div>
      <div class="row">
       <div class="col-md-4">
        <audio id="myAudio" controls="controls" controlsList="nodownload" preload="metadata">
         <source src="audio/Horse.mp3" type="audio/mpeg"> Tarayıcızınız ses desteklemiyor!
        </audio>
       </div>
      </div>
	  -->
     </div>
    </div>
   </div>
  </div>
 </div>
</div>
{{#js}}
require(['jquery'], function($) {
    $(document).ready(function() {
        var gecerlitema = localStorage.getItem('tema');

        if (typeof(gecerlitema) != "undefined" && gecerlitema !== null) {
            $('link[id="tema"]').attr('href', gecerlitema);
        } else {
            $('link[id="tema"]').attr('href', 'ekler/css/neon.min.css');
        }
        $('#temasec').on('change', function() {
            var secilentema = $('#temasec').find(":selected").val();
            $("#tema").attr({
                href: secilentema
            });
            localStorage.setItem('tema', secilentema);
        });
    });

    // Yeniden form gönderme işlemini onayla iptali
    if (window.history.replaceState) {
        window.history.replaceState(null, null, window.location.href);
    }

    /* --- Tam Ekran --- */
    var elem = document.getElementById('tamekran');
    window.tamEkranYap = function() {
        if (elem.requestFullscreen) {
            elem.requestFullscreen();
        } else if (elem.webkitRequestFullscreen) { /* Safari */
            elem.webkitRequestFullscreen();
        } else if (elem.msRequestFullscreen) { /* IE11 */
            elem.msRequestFullscreen();
        } else if (elem.mozRequestFullScreen) { /* Mozilla */
            elem.mozRequestFullScreen();
        }
    }

    function closeFullscreen() {
        if (document.exitFullscreen) {
            document.exitFullscreen();
        } else if (document.webkitExitFullscreen) { /* Safari */
            document.webkitExitFullscreen();
        } else if (document.msExitFullscreen) { /* IE11 */
            document.msExitFullscreen();
        } else if (document.mozExitFullscreen) { /* Mozilla */
            document.mozExitFullscreen();
        }
    }

    document.ondblclick = function(event) {
        if (document.fullscreenElement) {
            document.exitFullscreen()
        }
    };

    // KRONOMETRE
    var dakikasayi = "0";
    var saniyesayi = "0";
    var salisesayi = "0";
    var saatsayi = "0";
    var tursayac = 0;
    var sls;
    var basla = 2;
	let startTime;
	let rafId;

    function updateKronometre() {
        const now = Date.now();
        const elapsedTime = now - startTime;

        salisesayi = Math.floor((elapsedTime % 1000) / 10);
        saniyesayi = Math.floor((elapsedTime / 1000) % 60);
        dakikasayi = Math.floor((elapsedTime / (1000 * 60)) % 60);
        saatsayi = Math.floor((elapsedTime / (1000 * 60 * 60)) % 24);

        // Değerleri ekrana yazdırma
        document.getElementById("salise").innerHTML = salisesayi < 10 ? "0" + salisesayi : salisesayi;
        document.getElementById("saniye").innerHTML = saniyesayi < 10 ? "0" + saniyesayi : saniyesayi;
        document.getElementById("dakika").innerHTML = dakikasayi < 10 ? "0" + dakikasayi : dakikasayi;
        document.getElementById("saat").innerHTML = saatsayi < 10 ? "0" + saatsayi : saatsayi;

		rafId = requestAnimationFrame(updateKronometre);
    }

    window.startKronometre = function() {
        basla++;
        if (basla % 2 == 1) {
            document.getElementById("startKronometre").innerHTML = '<i class="fa fa-pause"></i> Duraklat';
            document.getElementById("turKronometre").innerHTML = '<i class="fa fa-list"></i> Tur';

            $("#turKronometre").removeClass("btn-outline-secondary d-none").addClass("btn-outline-primary");
            $("#startKronometre").removeClass("btn-outline-success").addClass("btn-outline-danger");

			startTime = Date.now() - (salisesayi * 10 + saniyesayi * 1000 + dakikasayi * 60 * 1000 + saatsayi * 60 * 60 * 1000);
            rafId = requestAnimationFrame(updateKronometre);
        }

        if (basla % 2 == 0) {
            document.getElementById("startKronometre").innerHTML = '<i class="fa fa-play"></i> Devam Et';
            document.getElementById("turKronometre").innerHTML = '<i class="fa fa-eraser"></i> Sıfırla';
            $("#turKronometre").removeClass("btn-outline-primary").addClass("btn-outline-secondary");
            $("#startKronometre").removeClass("btn-outline-danger").addClass("btn-outline-success");
            cancelAnimationFrame(rafId);
        }
    }

	window.turKronometre = function() {
    if (basla % 2 == 1) {
        tursayac++;
        var alan = document.getElementById("tur");
        var tur = tursayac + ". " + saatsayi + ":" + dakikasayi + ":" + saniyesayi + ":" + salisesayi;
        var turText = document.createTextNode(tur);
        var p = document.createElement("li");
        p.appendChild(turText);
        p.setAttribute("class", "list-group-item list-group-item-action list-group-item-primary");
        alan.appendChild(p);
    } else if (basla % 2 == 0 && basla != 2) {
        // Zamanı sıfırla
		cancelAnimationFrame(rafId);
        saatsayi = "0";
        dakikasayi = "0";
        saniyesayi = "0";
        salisesayi = "0";
        tursayac = 0;
		basla = 2;

        // Arayüzü sıfırla
        document.getElementById("salise").innerHTML = "00";
        document.getElementById("saniye").innerHTML = "00";
        document.getElementById("dakika").innerHTML = "00";
        document.getElementById("saat").innerHTML = "00";
		 document.getElementById("startKronometre").innerHTML = '<i class="fa fa-play"></i> Başlat';
        $("#turKronometre").removeClass("btn-outline-primary").addClass("btn-outline-secondary d-none");
        $("#startKronometre").removeClass("btn-outline-danger").addClass("btn-outline-success");
        document.getElementById("tur").innerHTML = "";

		
    }
}

    $(document).keydown(function(e) {
        if (e.which == 32) {
            startKronometre();
            return false;
        } // boşluk
        if (e.which == 17) {
            turKronometre();
            return false;
        } // ctrl
        if (e.which == 27) {
            turKronometre(); // Sıfırla fonksiyonunu kullan
            return false;
        } // esc
        if (e.which == 13) {
            tamEkranYap();
            return false;
        } // enter

    });
})
{{/js}}